summaryrefslogtreecommitdiffstats
path: root/libraries/log4c
diff options
context:
space:
mode:
Diffstat (limited to 'libraries/log4c')
-rw-r--r--libraries/log4c/README4
-rw-r--r--libraries/log4c/log4c.SlackBuild98
-rw-r--r--libraries/log4c/log4c.info10
-rw-r--r--libraries/log4c/slack-desc19
4 files changed, 131 insertions, 0 deletions
diff --git a/libraries/log4c/README b/libraries/log4c/README
new file mode 100644
index 0000000000..59b6703f54
--- /dev/null
+++ b/libraries/log4c/README
@@ -0,0 +1,4 @@
+Log4c is a library of C for flexible logging to files, syslog, and
+other destinations. It is modeled after the Log for Java library
+(http://jakarta.apache.org/log4j/), staying as close to their API as
+is reasonable.
diff --git a/libraries/log4c/log4c.SlackBuild b/libraries/log4c/log4c.SlackBuild
new file mode 100644
index 0000000000..92a9ebd65d
--- /dev/null
+++ b/libraries/log4c/log4c.SlackBuild
@@ -0,0 +1,98 @@
+#!/bin/sh
+
+# Slackware build script for Log4c
+
+# Copyright 2010, Steven King <kingrst@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=log4c
+VERSION=${VERSION:-1.2.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/${PRGNAM}-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING ChangeLog INSTALL NEWS README TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/log4c/log4c.info b/libraries/log4c/log4c.info
new file mode 100644
index 0000000000..0b5ca2bfed
--- /dev/null
+++ b/libraries/log4c/log4c.info
@@ -0,0 +1,10 @@
+PRGNAM="log4c"
+VERSION="1.2.1"
+HOMEPAGE="http://log4c.sourceforge.net/"
+DOWNLOAD="http://prdownloads.sourceforge.net/log4c/log4c-1.2.1.tar.gz"
+MD5SUM="ca5412b7515d8901714ab7892323adb6"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Steven King"
+EMAIL="kingrst@gmail.com"
+APPROVED="rworkman"
diff --git a/libraries/log4c/slack-desc b/libraries/log4c/slack-desc
new file mode 100644
index 0000000000..77c99d0b8c
--- /dev/null
+++ b/libraries/log4c/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+log4c: log4c (a library of C for flexible logging to files)
+log4c:
+log4c: Log4c is a library of C for flexible logging to files, syslog and
+log4c: other destinations. It is modeled after the Log for Java library,
+log4c: staying as close to their API as is reasonable. Here is a short
+log4c: introduction to Log4j which describes the API, and design rationale.
+log4c:
+log4c: Homepage: http://log4c.sourceforge.net/
+log4c:
+log4c:
+log4c: